org.eclipse.rdf4j.query.resultio.text.tsv

## Class SPARQLResultsTSVMappingStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy
  - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVMappingStrategy

- All Implemented Interfaces:
    com.opencsv.bean.MappingStrategy<BindingSet>
  Direct Known Subclasses:
    SPARQLStarResultsTSVMappingStrategy

      public class SPARQLResultsTSVMappingStrategy
      extends SPARQLResultsXSVMappingStrategy

  Implements a `MappingStrategy` to allow opencsv to work in parallel. This is where the input is converted into `BindingSet`s.
  Author:
    Andrew Rucker Jones

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

      `bindingNames, numberPattern, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLResultsTSVMappingStrategy(ValueFactory valueFactory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `captureHeader(com.opencsv.CSVReader reader)`
    `protected static String` | `decodeString(String s)` Decodes an encoded Turtle string.
    `protected Literal` | `parseLiteral(String literal)` Parses a literal, creates an object for it and returns this object.
    `protected Value` | `parseValue(String valueString)`
    `BindingSet` | `populateNewBean(String[] line)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.SPARQLResultsXSVMappingStrategy

      `createBean, findDescriptor, findField, findMaxFieldIndex, generateHeader, getBindingNames, getColumnIndex, isAnnotationDriven, parseNumberPatternMatch, populateNewBeanWithIntrospection, setErrorLocale, setType, transmuteBean, verifyLineLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQLResultsTSVMappingStrategy

          public SPARQLResultsTSVMappingStrategy(ValueFactory valueFactory)

  - ### Method Detail

    - #### captureHeader

          public void captureHeader(com.opencsv.CSVReader reader)
                             throws IOException

      Throws:
        `IOException`

    - #### populateNewBean

          public BindingSet populateNewBean(String[] line)

    - #### parseValue

          protected Value parseValue(String valueString)

    - #### parseLiteral

          protected Literal parseLiteral(String literal)
                                  throws IllegalArgumentException

      Parses a literal, creates an object for it and returns this object.
      Parameters:
        `literal` - The literal to parse.
      Returns:
        An object representing the parsed literal.
      Throws:
        `IllegalArgumentException` - If the supplied literal could not be parsed correctly.

    - #### decodeString

          protected static String decodeString(String s)

      Decodes an encoded Turtle string. Any \-escape sequences are substituted with their decoded value.
      Parameters:
        `s` - An encoded Turtle string.
      Returns:
        The unencoded string.
      Throws:
        `IllegalArgumentException` - If the supplied string is not a correctly encoded Turtle string.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.